---
### Install filebeat & metricbeat ###
- name: Installation des paquets requis
  apt:
    name: "{{ item }}"
    state: present
  loop:
    - filebeat
    - metricbeat
    - auditbeat

- name: Fix directory permission
  ansible.builtin.file:
    path: "{{ item }}"
    state: directory
    owner: "root"
    group: "root"
    recurse: yes
    mode: u=rwX,g=rX,o-rwx
  loop:
    - "/etc/filebeat"
    - "/var/log/filebeat"
    - "/etc/filebeat/certs"

    - "/etc/metricbeat"
    - "/var/log/metricbeat"
    - "/etc/metricbeat/certs"
    
    - "/etc/auditbeat"
    - "/var/log/auditbeat"
    - "/etc/auditbeat/certs"

- name: Activer la collecte de surveillance Elasticsearch
  uri:
    url: "https://localhost:9200/_cluster/settings"
    method: PUT
    headers:
      Content-Type: "application/json"
    body: |
      {
        "persistent": {
          "xpack.monitoring.collection.enabled": true
        }
      }
    user: "{{ beats_username }}"
    password: "{{ beats_password }}"
    validate_certs: no
